rheostream.h File Reference

`rheostream` - i/o utilities More...

Go to the source code of this file.

## Classes

class | irheostream
class | orheostream

## Namespaces

| rheolef
| This file is part of Rheolef.
| rheolef::io

## Enumerations

enum | mode_type { out = 0 , app = 1 , gz = 0 , nogz = 2 }

## Functions

std::string | itos (std::string::size_type i)
| itos: see the `rheostream` page for the full documentation More...
string | ftos (const Float &x)
| itof: see the `rheostream` page for the full documentation More...
bool | scatch (std::istream &in, const std::string &ch, bool full_match=true)
| scatch: see the `rheostream` page for the full documentation More...
bool | has_suffix (const std::string &name, const std::string &suffix)
| has_suffix: see the `rheostream` page for the full documentation More...
string | delete_suffix (const std::string &name, const std::string &suffix)
| delete_suffix: see the `rheostream` page for the full documentation More...
bool | has_any_suffix (const std::string &name)
| has_any_suffix: see the `rheostream` page for the full documentation More...
string | delete_any_suffix (const std::string &name)
| delete_any_suffix: see the `rheostream` page for the full documentation More...
string | get_basename (const std::string &name)
| get_basename: see the `rheostream` page for the full documentation More...
string | get_dirname (const std::string &name)
| get_dirname: see the `rheostream` page for the full documentation More...
string | get_full_name_from_rheo_path (const std::string &rootname, const std::string &suffix)
| get_full_name_from_rheo_path: see the `rheostream` page for the full documentation More...
void | append_dir_to_rheo_path (const std::string &dir)
| append_dir_to_rheo_path: see the `rheostream` page for the full documentation More...
void | prepend_dir_to_rheo_path (const std::string &dir)
| prepend_dir_to_rheo_path: see the `rheostream` page for the full documentation More...
bool | file_exists (const std::string &filename)
| file_exists: see the `rheostream` page for the full documentation More...
bool | is_float (const std::string &)
| is_float: see the `rheostream` page for the full documentation More...
Float | to_float (const std::string &)
| to_float: see the `rheostream` page for the full documentation More...
std::string | get_tmpdir ()
| get_tmpdir: see the `rheostream` page for the full documentation More...

## Detailed Description

`rheostream` - i/o utilities

Definition in file rheostream.h.